| Home | Libraries | People | FAQ | More

## Function op_string

boost::yap::op_string

## Synopsis

    // In header: <boost/yap/print.hpp>

    char const  * op_string(expr_kind kind);

## Description

Returns the `char const *` string for the spelling of the C++ operator associated with kind. It returns the special values "ref" and "term" for the non-operator kinds `expr_kind::expr_ref` amd `expr_kind::terminal`, respectively.